Search by Name
curl --request GET \
--url https://rest.kyckr.com/lite/search/{countryISO}/{companyName} \
--header 'Authorization: <api-key>'import requests
url = "https://rest.kyckr.com/lite/search/{countryISO}/{companyName}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rest.kyckr.com/lite/search/{countryISO}/{companyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companiesField": [
{
"addressesField": [
{
"countryField": "IRELAND",
"lineField": [
{
"lineField": "",
"typeField": "",
"typeCodeField": ""
}
],
"addressLine1Field": "ARC LABS RESEARCH CENTER",
"addressLine2Field": "WIT WEST CAMPUS",
"addressLine3Field": "CARRIGANORE WATERFORD",
"addressLine4Field": "CO WATERFORD, WATERFORD, IRELAND",
"postcodeField": "",
"cityTownField": "",
"regionStateField": ""
}
],
"codeField": "436024",
"companyIDField": "436024",
"legalFormField": "LTD - Private Company Limited by Shares",
"legalStatusField": "Normal ",
"nameField": "KYCKR IRELAND LIMITED",
"officialField": false,
"incorporationDateField": "01-03"
}
],
"transactionIdField": "10171668",
"responseCodeField": 100
}Lite
Search by Name
Searching for an entity by name in a chosen registry. You will need the company name and ISO country code of the registry. From this you will receive a list of companies from the chosen registry. You will also receive the code field which can be used as a parameter for other API calls.
GET
/
lite
/
search
/
{countryISO}
/
{companyName}
Search by Name
Authorizations
Path Parameters
2-digit ISO country code
Name of the company you are searching for
Query Parameters
Optional client order reference
⌘I